Attribute VB_Name = "modSPComm"
'AUTHOR: MATHEW GEORGE      CREATED: OCT 18, 2001
'MODS

Option Explicit

Public cn As New ADODB.Connection
Public errcase As Integer
Const MsgConnUn = "Could not connect to SQL Server."
Public m_UserId As String       'Stores user id
Public m_Pwd As String
Public m_SvrName As String
Public m_DBName As String


Public Sub ErrorLog()
    
    Dim errLoop As ADODB.Error
    Dim strErr As String
    Dim response As Integer
    
    ' Change mousepointer to normal.
    Screen.MousePointer = vbDefault

    Select Case errcase
            
        ' 1 = successful connection; if a non-provider error occurred, which
        '     can't be saved in the ADO Errors collection, error processing
        '     ends. If a provider error occurred, processing continues.
        Case 1, 2, 3
            If errcase = 1 Then
                If cn.Errors.Count = 0 Then
                    Exit Sub
                End If
            End If
            
        ' 2 = Notify user of no connection. Then go on to error logging.
            If errcase = 2 Then
                response = MsgBox(MsgConnUn, vbOKOnly, "DB Connection")
            End If
        
        ' 3 = Error occurred during the attempt to execute or
        '       execution of the query.
            If errcase = 3 Then
                If cn.Errors.Count = 0 Then
                    Exit Sub
                End If
            End If
        
        ' Create each error message in the errors list box.
        ' Each string in the list box corresponds to an ADO Error property.
                
        ' Array items correspond to a set of properties for each
        '   ADO Error object.
        ' The HelpFile and HelpContext properties are not exposed.
          
             For Each errLoop In cn.Errors
                
                Dim strError(5)
                Dim i As Integer
               
                strError(0) = "Error Number: " & errLoop.Number
                strError(1) = "  Description: " & errLoop.Description
                strError(2) = "  Source: " & errLoop.Source
                strError(3) = "  SQL State: " & errLoop.SQLState
                strError(4) = "  Native Error: " & errLoop.NativeError
                
                ' Loop through first five properties of Error object.
                i = 0
                Do While i < 5
                    strErr = strErr & strError(i) & vbNewLine
                    i = i + 1
                Loop
                
                ' Add a blank line after each error message.
                strErr = strErr & vbNewLine
            
            Next    ' Continue looping through ADO Errors collection.
            
            ' Create string for summary count of errors.
           
            ' Display a count of the provider errors.
            strErr = strErr & cn.Errors.Count & " provider error(s) occurred." & vbNewLine
                        
            MsgBox strErr
            
            ' Clear the ADO errors collection.
            cn.Errors.Clear
        
        Case Else          ' Fall-through case statement.
            Exit Sub
    
    End Select
    
End Sub
